* Figure 1. Probability of Obtaining Benefits vs. Log Per Capita Consumption and PMT score

clear all
pause on
set more off

set seed 2438279
set sortseed 10000

local STfolder = "$STfolder"
cd "`STfolder'"

***

use "data\codeddata\baseline\matched_baseline.dta",clear
//keep if selftargeting==1

* Estimate probablility of receiving benefit conditional on income, kab_id, and pop density (urban/rural)

egen kab_urban = group(urban kabgroup)

probit getbenefit logconsumption i.kab_urban if showup==1 
//testparm i.kab_urban
predict lambda

probit getbenefit PMTSCORE i.kab_urban if showup==1 
predict mu_pmt

label variable logconsumption           "Log Consumption"
label variable PMTSCORE       "Predicted Log Consumption (PMT score)"

label variable lambda "Probability to Receive Benefits"
label variable mu_pmt "Probability to Receive Benefits"

twoway scatter lambda logconsumption, graphregion(color(white)) bgcolor(white)
graph export "figures\Figure 1a.png", replace
graph export "figures\Figure 1a.eps", replace

twoway scatter mu_pmt PMTSCORE, graphregion(color(white)) bgcolor(white)
graph export "figures\Figure 1b.png", replace
graph export "figures\Figure 1b.eps", replace
