* Figure 6: Cost of Applying by Per Capita Consumption

* Note: the fanreg command must be installed, and STATA must be running with administrator rights
* http://eml.berkeley.edu/~webfac/emiguel/e270c_s09/ps1.ado.txt

clear all
pause on
set more off

set seed 345789
set sortseed 10000

local STfolder = "$STfolder"
cd "`STfolder'"

***
* costs calculated without the both-spouse adjustment
u "data\codeddata\midline\costs.dta", clear		

* Concavity Graph
gen cons2 = consumption^2
	la var cons2 "Log PCE squared"
reg totcost_pc consumption cons2
reg totcost_pc consumption cons2 if consumption<2000000

pause off
set seed 100
quietly fanreg totcost_pc consumption,reps(500) bw(5) np(50) xgen("temp1") ygen("totcost_obs") maxminon max(60000) min(0) cluster(hhea)

twoway  (line totcost_obs temp1, sort) ///
		(line totcost_obs_u temp1, sort clpat(dash) col(blue)) ///
		(line totcost_obs_l temp1, sort clpat(dash) col(blue)), ///
		legend(off) xtitle("Per Capita Consumption") ytitle("Total Costs per Capita") name(fig9) ///
		graphregion(color(white)) bgcolor(white)
		

graph save   "figures\Figure 6.gph", replace
graph export "figures\Figure 6.eps", replace

