* Online Appendix Table C.14. Experimental Results: Probability of Showing Up as a Function of Distance (OLS)

clear all
pause on
set more off

set seed 345789
set sortseed 10000

local STfolder = "$STfolder"
cd "`STfolder'"

***

**** Get Data/Prep Variables
use "data\codeddata\baseline\matched_baseline.dta",clear 

* define consumption quintiles
xtile quintile =logconsumption, nq(5)
tab quintile, generate(inclevel)

* define interactions
gen close_logconsumption = closesubtreatment * logconsumption
gen close_inclevel2      = closesubtreatment * inclevel2 
gen close_inclevel3      = closesubtreatment * inclevel3
gen close_inclevel4      = closesubtreatment * inclevel4
gen close_inclevel5      = closesubtreatment * inclevel5

**** Regressions

reg showup closesubtreatment,cl(hhea)
qui summ showup if e(sample)
local m1=r(mean)
outreg2 using "tables\Online Appendix Table C14", excel se bdec(3) addstat("mean of dep var", `m1') replace


reg showup closesubtreatment logconsumption close_logconsumption,cl(hhea)
qui summ showup if e(sample)
local m2=r(mean)
outreg2 using "tables\Online Appendix Table C14", excel se bdec(3) addstat("mean of dep var", `m2') append

reg showup closesubtreatment inclevel2 inclevel3 inclevel4 inclevel5 close_inclevel2 close_inclevel3 close_inclevel4 close_inclevel5, cl(hhea)
qui summ showup if e(sample)
local m3=r(mean)
outreg2 using "tables\Online Appendix Table C14", excel se bdec(3) addstat("mean of dep var", `m3') append

areg showup closesubtreatment, ab(kecagroup)  cl(hhea)
qui summ showup if e(sample)
local m1=r(mean)
outreg2 using "tables\Online Appendix Table C14", excel se bdec(3) addstat("mean of dep var", `m1') append

areg showup closesubtreatment logconsumption close_logconsumption, ab(kecagroup)  cl(hhea)
qui summ showup if e(sample)
local m2=r(mean)
outreg2 using "tables\Online Appendix Table C14", excel se bdec(3) addstat("mean of dep var", `m2') append

areg showup closesubtreatment inclevel2 inclevel3 inclevel4 inclevel5 close_inclevel2 close_inclevel3 close_inclevel4 close_inclevel5, ab(kecagroup) cl(hhea)
qui summ showup if e(sample)
local m3=r(mean)
outreg2 using "tables\Online Appendix Table C14", excel se bdec(3) addstat("mean of dep var", `m3') append
