* Online Appendix Table C.15. Effect of Close Subtreatment on Distance

clear all
pause on
set more off

set seed 345789
set sortseed 10000

local STfolder = "$STfolder"
cd "`STfolder'"

***

**** Get Data/Prep Variables
use "data\codeddata\baseline\matched_baseline.dta", clear
merge 1:1 hhid using "data\originaldata\precoded\distances.dta"
keep if _m==3
drop _m
keep if maintreatment==2  /*selftargeting*/
gen closesub_cons=closesubtreatment*logconsumption

tempfile coded
sa `coded', replace

**** Regressions

***overall (C14a)
areg distance_rep closesubtreatment ,a(kecagroup) cl(hhea)
qui summ distance_rep if e(sample)
local m4=r(mean)
outreg2 using "tables\Online Appendix Table C15", excel se bdec(3) addstat("mean of dep var", `m4') replace

areg distance_rep closesubtreatment logconsumption closesub_cons,a(kecagroup) cl(hhea)
qui summ distance_rep if e(sample)
local m4=r(mean)
outreg2 using "tables\Online Appendix Table C15", excel se bdec(3) addstat("mean of dep var", `m4') append

areg distance_gps closesubtreatment ,a(kecagroup) cl(hhea)
qui summ distance_gps if e(sample)
local m4=r(mean)
outreg2 using "tables\Online Appendix Table C15", excel se bdec(3) addstat("mean of dep var", `m4') append

areg distance_gps closesubtreatment logconsumption closesub_cons,a(kecagroup) cl(hhea)
qui summ distance_gps if e(sample)
local m4=r(mean)
outreg2 using "tables\Online Appendix Table C15", excel se bdec(3) addstat("mean of dep var", `m4') append


***urban (C14c)
keep if urban==1

areg distance_rep closesubtreatment ,a(kecagroup) cl(hhea)
qui summ distance_rep if e(sample)
local m4=r(mean)
outreg2 using "tables\Online Appendix Table C15_urban", excel se bdec(3) addstat("mean of dep var", `m4') replace

areg distance_rep closesubtreatment logconsumption closesub_cons,a(kecagroup) cl(hhea)
qui summ distance_rep if e(sample)
local m4=r(mean)
outreg2 using "tables\Online Appendix Table C15_urban", excel se bdec(3) addstat("mean of dep var", `m4') append

areg distance_gps closesubtreatment ,a(kecagroup) cl(hhea)
qui summ distance_gps if e(sample)
local m4=r(mean)
outreg2 using "tables\Online Appendix Table C15_urban", excel se bdec(3) addstat("mean of dep var", `m4') append

areg distance_gps closesubtreatment logconsumption closesub_cons,a(kecagroup) cl(hhea)
qui summ distance_gps if e(sample)
local m4=r(mean)
outreg2 using "tables\Online Appendix Table C15_urban", excel se bdec(3) addstat("mean of dep var", `m4') append

***rural (C14b)
u `coded', clear
keep if urban==0

areg distance_rep closesubtreatment ,a(kecagroup) cl(hhea)
qui summ distance_rep if e(sample)
local m4=r(mean)
outreg2 using "tables\Online Appendix Table C15_rural", excel se bdec(3) addstat("mean of dep var", `m4') replace

areg distance_rep closesubtreatment logconsumption closesub_cons,a(kecagroup) cl(hhea)
qui summ distance_rep if e(sample)
local m4=r(mean)
outreg2 using "tables\Online Appendix Table C15_rural", excel se bdec(3) addstat("mean of dep var", `m4') append

areg distance_gps closesubtreatment ,a(kecagroup) cl(hhea)
qui summ distance_gps if e(sample)
local m4=r(mean)
outreg2 using "tables\Online Appendix Table C15_rural", excel se bdec(3) addstat("mean of dep var", `m4') append

areg distance_gps closesubtreatment logconsumption closesub_cons,a(kecagroup) cl(hhea)
qui summ distance_gps if e(sample)
local m4=r(mean)
outreg2 using "tables\Online Appendix Table C15_rural", excel se bdec(3) addstat("mean of dep var", `m4') append


