* Online Appendix Table C.2. Probability of Showing Up as a Function of the Observed and Unobserved Components of Baseline Log Per Capita Consumption (OLS)

clear all
pause on
set more off

set sortseed 10000

local STfolder = "$STfolder"
cd "`STfolder'"

***

use "data\codeddata\baseline\matched_baseline.dta",clear 

keep if selftargeting == 1 /*this analysis is only on selftargeting households*/

*generate epsilon=logconsumption-PMTSCORE
reg logconsumption PMTSCORE, cl(hhea)
predict p_logconsumption
gen epsilon=logconsumption-p_logconsumption
drop p_logconsumption

*regressions
reg showup PMTSCORE epsilon, cl(hhea)
qui summ showup if e(sample)
local m1=r(mean)
outreg2 using "tables\Online Appendix Table C2", excel se bdec(3) addstat("mean of dep var",`m1') title("Results of showup on PMT score and epsilon.") replace

reg showup PMTSCORE epsilon if pcexppred<povertyline3, cl(hhea)
qui summ showup if e(sample)
local m1=r(mean)
outreg2 using "tables\Online Appendix Table C2", excel se bdec(3) addstat("mean of dep var",`m1')  append

reg showup PMTSCORE epsilon if pcexppred>=povertyline3,  cl(hhea)
qui summ showup if e(sample)
local m1=r(mean)
outreg2 using "tables\Online Appendix Table C2", excel se bdec(3) addstat("mean of dep var",`m1') append



