* Online Appendix Table C.21 Experimental Results: Probability of Showing up as a Function of Opportunity Cost Treatment

clear all
pause on
set more off

set seed 345789
set sortseed 10000

local STfolder = "$STfolder"
cd "`STfolder'"

***

**** Get Data/Prep Variables
use "data/codeddata\baseline\matched_baseline.dta",clear 

* define consumption quintiles
xtile quintile =logconsumption, nq(5)
tab quintile, generate(inclevel)

* define interactions
gen bothspouse_logconsumption = bothspousesubtreatment * logconsumption
gen bothspouse_inclevel2      = bothspousesubtreatment * inclevel2 
gen bothspouse_inclevel3      = bothspousesubtreatment * inclevel3
gen bothspouse_inclevel4      = bothspousesubtreatment * inclevel4
gen bothspouse_inclevel5      = bothspousesubtreatment * inclevel5

**** Regressions
logit showup bothspousesubtreatment,cl(hhea)
qui summ showup if e(sample)
local m1=r(mean)
outreg2 using "tables\Online Appendix Table C21", excel se bdec(3) addstat("mean of dep var", `m1') replace

logit showup bothspousesubtreatment logconsumption bothspouse_logconsumption,cl(hhea)
qui summ showup if e(sample)
local m2=r(mean)
outreg2 using "tables\Online Appendix Table C21", excel se bdec(3) addstat("mean of dep var", `m2') append

logit showup bothspousesubtreatment inclevel2 inclevel3 inclevel4 inclevel5 bothspouse_inclevel2 bothspouse_inclevel3 bothspouse_inclevel4 bothspouse_inclevel5, cl(hhea)
qui summ showup if e(sample)
local m3=r(mean)
outreg2 using "tables\Online Appendix Table C21", excel se bdec(3) addstat("mean of dep var", `m3') append

clogit showup bothspousesubtreatment,group(kecagroup) cl(kecagroup)
qui summ showup if e(sample)
local m1=r(mean)
outreg2 using "tables\Online Appendix Table C21", excel se bdec(3) addstat("mean of dep var", `m1') append

clogit showup bothspousesubtreatment logconsumption bothspouse_logconsumption,group(kecagroup) cl(kecagroup)
qui summ showup if e(sample)
local m2=r(mean)
outreg2 using "tables\Online Appendix Table C21", excel se bdec(3) addstat("mean of dep var", `m2') append

clogit showup bothspousesubtreatment inclevel2 inclevel3 inclevel4 inclevel5 bothspouse_inclevel2 bothspouse_inclevel3 bothspouse_inclevel4 bothspouse_inclevel5, group(kecagroup) cl(kecagroup)
qui summ showup if e(sample)
local m3=r(mean)
outreg2 using "tables\Online Appendix Table C21", excel se bdec(3) addstat("mean of dep var", `m3') append

