* Online Appendix Table C.3. Probability of Showing Up and Probability of being Pre-Screened as Functions of Consumption

clear all
pause on
set more off

set seed 345789
set sortseed 10000

local STfolder = "$STfolder"
cd "`STfolder'"

***

use "data\codeddata\baseline\matched_baseline.dta", clear

*generate epsilon=logconsumption-PMTSCORE
reg logconsumption PMTSCORE, cl(hhea)
predict p_logconsumption
gen epsilon=logconsumption-p_logconsumption

*** Without stratum FE

logit showup logconsumption if selftargeting==1, cl(kecagroup)
outreg2 using "tables\Online Appendix Table C3", excel replace cttop("ST")

logit showup PMTSCORE epsilon if selftargeting==1, cl(kecagroup)
outreg2 using "tables\Online Appendix Table C3", excel append  cttop("ST")

logit showup logconsumption if selftargeting==0, cl(kecagroup)
outreg2 using "tables\Online Appendix Table C3", excel append  cttop("AE")

logit showup PMTSCORE epsilon if selftargeting==0, cl(kecagroup)
outreg2 using "tables\Online Appendix Table C3", excel append  cttop("AE")

