* Online Appendix Table C.6. Experimental Comparison of Targeting under Self-Targeting and Automatic Screening Treatments (OLS)

clear all
pause on
set more off

set seed 345789
set sortseed 10000

local STfolder = "$STfolder"
cd "`STfolder'"

***

**** Get Data/Prep Variables

use "data\codeddata\baseline\matched_baseline.dta",clear

*generate interaction terms*
gen cons_ST=logconsumption*selftargeting

* append midline data
append using "data\codeddata\midline\matched_midline.dta", gen(base_or_end) keep(getbenefit flag_newHH logconsumption selftargeting hhea kecagroup)
keep if base_or_end==0 | flag_newHH==1


**** Regressions

***No Stratum FE (Panel A)
reg logconsumption selftargeting if getbenefit==1 & base_or_end==0, cl(hhea)
qui summ logconsumption if e(sample)
local m0 = r(mean)
outreg2 using "tables\Online Appendix Table 6a", excel se bdec(3) addstat("mean of dep var",`m0') replace

reg logconsumption selftargeting base_or_end if getbenefit==1, cl(hhea)
qui summ logconsumption if e(sample)
local m0 = r(mean)
outreg2 using "tables\Online Appendix Table 6a", excel se bdec(3) addstat("mean of dep var",`m0') append

reg getbenefit selftargeting logconsumption cons_ST if base_or_end==0, cl(hhea)
qui summ getbenefit if e(sample)
local m0 = r(mean)
outreg2 using "tables\Online Appendix Table 6a", excel se bdec(3) addstat("mean of dep var",`m0')append

reg mistarget selftargeting if base_or_end==0, cl(hhea)
qui summ mistarget if e(sample)
local m6=r(mean)	
outreg2 using "tables\Online Appendix Table 6a", excel se bdec(3) addstat("mean of dep var",`m6') append

reg excl_error selftargeting if base_or_end==0, cl(hhea)
qui summ excl_error if e(sample)
local m4=r(mean)
outreg2 using "tables\Online Appendix Table 6a", excel se bdec(3) addstat("mean of dep var",`m4') append

reg incl_error selftargeting if base_or_end==0, cl(hhea)
qui summ incl_error if e(sample)
local m5=r(mean)
outreg2 using "tables\Online Appendix Table 6a", excel se bdec(3) addstat("mean of dep var",`m5') append


***With Stratum FE (Panel B)
areg logconsumption selftargeting if getbenefit==1 & base_or_end==0, ab(kecagroup) cl(hhea)
qui summ logconsumption if e(sample)
local m0 = r(mean)
outreg2 using "tables\Online Appendix Table 6b", excel se bdec(3) addstat("mean of dep var",`m0') replace

areg logconsumption selftargeting base_or_end if getbenefit==1, ab(kecagroup) cl(hhea)
qui summ logconsumption if e(sample)
local m0 = r(mean)
outreg2 using "tables\Online Appendix Table 6b", excel se bdec(3) addstat("mean of dep var",`m0') append

areg getbenefit selftargeting logconsumption cons_ST if base_or_end==0, ab(kecagroup) cl(hhea)
qui summ getbenefit if e(sample)
local m0 = r(mean)
outreg2 using "tables\Online Appendix Table 6b", excel se bdec(3) addstat("mean of dep var",`m0')append

areg mistarget selftargeting if base_or_end==0, ab(kecagroup)  cl(hhea)
qui summ mistarget if e(sample)
local m6=r(mean)	
outreg2 using "tables\Online Appendix Table 6b", excel se bdec(3) addstat("mean of dep var",`m6') append

areg excl_error selftargeting if base_or_end==0, ab(kecagroup) cl(hhea)
qui summ excl_error if e(sample)
local m4=r(mean)
outreg2 using "tables\Online Appendix Table 6b", excel se bdec(3) addstat("mean of dep var",`m4') append

areg incl_error selftargeting if base_or_end==0, ab(kecagroup) cl(hhea)
qui summ incl_error if e(sample)
local m5=r(mean)
outreg2 using "tables\Online Appendix Table 6b", excel se bdec(3) addstat("mean of dep var",`m5') append

