*** Table 4. Probability of Showing Up as a Function of the Observed and Unobserved Components of Baseline Log Per-capita Consumption

clear all
pause on
set more off

set sortseed 10000

local STfolder = "$STfolder"
cd "`STfolder'"

***
**** Get Data/Prep Variables
use "data\codeddata\baseline\matched_baseline.dta",clear

keep if selftargeting==1 /*this analysis is only on selftargeting households*/

*generate epsilon=logconsumption-PMTSCORE
reg logconsumption PMTSCORE, cl(hhea)
predict p_logconsumption
gen epsilon=logconsumption-p_logconsumption
drop p_logconsumption

**** Regressions
logit showup PMTSCORE epsilon, cl(hhea)
qui summ showup if e(sample)
local m1=r(mean)
outreg2 using "tables\Table 4", excel se bdec(3) addstat("mean of dep var",`m1') title("Results of showup on PMT score and epsilon.") replace

logit showup PMTSCORE epsilon if pcexppred<povertyline3, cl(hhea)
qui summ showup if e(sample)
local m1=r(mean)
outreg2 using "tables\Table 4", excel se bdec(3) addstat("mean of dep var",`m1')  append

logit showup PMTSCORE epsilon if pcexppred>=povertyline3, cl(hhea)
qui summ showup if e(sample)
local m1=r(mean)
outreg2 using "tables\Table 4", excel se bdec(3) addstat("mean of dep var",`m1') append
