***Table 7: Experimental Results: Probability of Showing up as a Function of Distance and Log Per Capita Consumption

clear all
pause on
set more off

set seed 345789
set sortseed 10000

local STfolder = "$STfolder"
cd "`STfolder'"

***
**** Get Data/Prep Variables
use "data\codeddata\baseline\matched_baseline.dta",clear

* define consumption quintiles
xtile quintile =logconsumption, nq(5)
tab quintile, generate(inclevel)

* define interactions
gen close_logconsumption = closesubtreatment * logconsumption
gen close_inclevel2      = closesubtreatment * inclevel2 
gen close_inclevel3      = closesubtreatment * inclevel3
gen close_inclevel4      = closesubtreatment * inclevel4
gen close_inclevel5      = closesubtreatment * inclevel5


**** Regressions
logit showup closesubtreatment,cl(hhea)
qui summ showup if e(sample)
local m1=r(mean)
outreg2 using "tables\Table 7", excel se bdec(3) addstat("mean of dep var", `m1') replace

logit showup closesubtreatment logconsumption close_logconsumption,cl(hhea)
qui summ showup if e(sample)
local m2=r(mean)
outreg2 using "tables\Table 7", excel se bdec(3) addstat("mean of dep var", `m2') append

logit showup closesubtreatment inclevel2 inclevel3 inclevel4 inclevel5 close_inclevel2 close_inclevel3 close_inclevel4 close_inclevel5, cl(hhea)
qui summ showup if e(sample)
local m3=r(mean)
outreg2 using "tables\Table 7", excel se bdec(3) addstat("mean of dep var", `m3') append

clogit showup closesubtreatment, group(kecagroup)  cl(kecagroup)
qui summ showup if e(sample)
local m1=r(mean)
outreg2 using "tables\Table 7", excel se bdec(3) addstat("mean of dep var", `m1') append

clogit showup closesubtreatment logconsumption close_logconsumption, group(kecagroup)  cl(kecagroup)
qui summ showup if e(sample)
local m2=r(mean)
outreg2 using "tables\Table 7", excel se bdec(3) addstat("mean of dep var", `m2') append

clogit showup closesubtreatment inclevel2 inclevel3 inclevel4 inclevel5 close_inclevel2 close_inclevel3 close_inclevel4 close_inclevel5, group(kecagroup) cl(kecagroup)
qui summ showup if e(sample)
local m3=r(mean)
outreg2 using "tables\Table 7", excel se bdec(3) addstat("mean of dep var", `m3') append
