% GMM estimation
% MASTER do-file for:
% SELF-TARGETING: EVIDENCE FROM A FIELD EXPERIMENT IN INDONESIA
% VIVI ALATAS, ABHIJIT BANERJEE, REMA HANNA,
% BENJAMIN A. OLKEN, RIRIN PURNAMASARI, AND MATTHEW WAI-POI
% Last Modified 16 Oct 2014

clear all

global t2folder
t2folder = '<INPUT FOLDER PATH HERE>';

% Table 8. Estimated Parameter Values for the Model, and
% Online Appendix Table C.15. Estimated Parameters Values for the Model (Discount Rate Robustness Check)
% Estimates
run estimation_1.m;
    % Input:  MATLAB_Input.csv
    % Output: MATLAB_Estimates_main_d**.csv    
    %    ** corresponds to the value of the annual discount factor: d=0.82 = 1/irate, d=0.50 or d=0.95
    
% Standard errors 
%run bootstrapping.m
    % run three times, changing line 19: danual  = 1/irate; danual = 0.50; and danual = 0.95
    % Input:  MATLAB_Input.csv
    % Output: bootstrap_**\bootstrap_[something]_d**.csv files
    
% print standard deviations
boot_estimates_82 = csvread([t2folder 'data\codeddata\Matlab\bootstrap_82\bootstrap_estimates_82.csv']);
boot_estimates_50 = csvread([t2folder 'data\codeddata\Matlab\bootstrap_50\bootstrap_estimates_50.csv']);
boot_estimates_95 = csvread([t2folder 'data\codeddata\Matlab\bootstrap_95\bootstrap_estimates_95.csv']);

boot_estimates_82_std = std(boot_estimates_82(:,[3,6,9,12,15]));
boot_estimates_50_std = std(boot_estimates_50(:,[3,6,9,12,15]));
boot_estimates_95_std = std(boot_estimates_95(:,[3,6,9,12,15]));

display(['Boostrap standard deviation for delta = 0.50 is ' num2str(boot_estimates_50_std,5)]);
display(['Boostrap standard deviation for delta = 0.82 is ' num2str(boot_estimates_82_std,5)]);
display(['Boostrap standard deviation for delta = 0.95 is ' num2str(boot_estimates_95_std,5)]);



% counterfactual showup hat used in Tables 9 and 10, and 
% Online Appendix Table C.18.
run counterfactuals_1.m
    % Input:  MATLAB_Input.csv, 
    %         MATLAB_Input_small_sample.csv
    % Output: MATLAB_showuphat_small_sample.csv
    %         MATLAB_showuphat.csv

% Online Appendix Table C.21. Model Fit: Comparison of Empirical Simulated Moments
run goodness_fit.m
    % Input:  MATLAB_Input.csv, 
    % Output: MATLAB_goodness_fit.csv

% Online Appendix Table C.16. 
% The Sensitivity of Estimated Parameters to Moment Values (Gentzkow and Shapiro (2014) measure)
% Estimates
run estimation_2.m
    % Input:  MATLAB_Input.csv, 
    % Output: MATLAB_Estimates_GS.csv
    %         MATLAB_GS_jacobian.csv'],full(G));
    %         MATLAB_GS_wmatrix.csv
% Standard errors 
%run bootstrapping_GS.m
    % Input:  MATLAB_Input.csv, 
    % Output: bootstrap_GS\bootstrap_[something]_GS_82.csv
% Calculate the sensitivity matrix
run GS_measure.m
    % Input:  MATLAB_GS_jacobian.csv
    %         MATLAB_GS_wmatrix.csv
    %         bootstrap_GS\bootstrap_estimates_GS_82.csv       
    %         bootstrap_GS\bootstrap_samples_GS_82.csv             
    % Output: MATLAB_GS_lambda_notscaled.csv
    %         MATLAB_GS_lambda_scaled.csv
 