% GMM Estimation: Table 8 and Online Appendix Table C15

    %clearvars -global t2folder

    global t2folder
	tempfolder = [t2folder 'data\codeddata\Matlab\'];

    % Main specification - danual = 1/irate = 1/1.22
    % also run danual = 0.5 and danual = 0.95
    irate   = 1.22;
    eta_sd  = 0.275;
    delta_mom = 0;
    passes = 100;

    % full sample
    sample = [];

    danuals   = [1/irate 0.5 0.95];
    rng_seeds = [945739485 28364192 2983742];

    for i=1:3
        danual = danuals(i);
        rng_seed = rng_seeds(i);
        [~,p_all] = GMM_problem(delta_mom, danual, irate, eta_sd, passes, rng_seed,sample);

        temp = round(danual*100);
        csvwrite([tempfolder 'MATLAB_Estimates_main_d' num2str(temp) '.csv'],p_all);
    end
