function y = GMM_obj( x, eta_sd, delta, Whalf, delta_mom)
%GMM_obj compute the product between the moment values (at given parameter
%values) and Cholsky half of the weighting matrix

global consumption
global lambda_con_true lambda_beta_true
if isempty(consumption)
    error('Did not lead data before calling GMM objective function');
end

 mu_eps  = x(1);
 sig_eps = x(2);
 alpha   = x(3);
 lambda_con_belief  = x(4);
 lambda_beta_belief = x(5);

 [ showup_hat, induced_lambda ] = showuphat(mu_eps, sig_eps, alpha, lambda_con_belief, lambda_beta_belief, eta_sd, delta);

 belief_lambda  = normcdf(lambda_con_belief+lambda_beta_belief*log(consumption));
 true_lambda    = normcdf(lambda_con_true  +lambda_beta_true  *log(consumption));

 moms = moments( showup_hat, true_lambda, belief_lambda, induced_lambda, delta_mom );
 
 y = mean(moms,1)*Whalf;
 
end

