function [] = load_data(sample,small_sample_dummy)
 % load data
 % construct quantile variables
 % save all as global variables

 %clearvars -global t2folder
 
 % Import and Name Data From .csv File
 global t2folder
 tempfolder = [t2folder 'data\codeddata\Matlab\'];
 
 if(small_sample_dummy)
     data =  csvread([tempfolder 'MATLAB_Input_small_sample.csv'],1,0);
 else
     data =  csvread([tempfolder 'MATLAB_Input.csv'],1,0); % regular data
 end
 
 global hhid hhea consumption totcost_pc totcost_smth_pc totcost_3k_pc totcost_6k_pc benefit showup close urban distt ave_waiting hhsize wagerate reg_const reg_logcon FE FE2 moneycost moneycost_smth moneycost_3k moneycost_6k pmtscore;
 global getbenefit;
 
 % full sample if function is called without argument
  if(isempty(sample))
      N = size(data,1);
      sample = 1:N;
  end
 
hhid=data(sample,1);
hhea=data(sample,2);
consumption=data(sample,3);
totcost_pc=data(sample,4);
totcost_smth_pc=data(sample,5);
totcost_3k_pc=data(sample,6);
totcost_6k_pc=data(sample,7);
benefit=data(sample,8);
showup=data(sample,9);
close=data(sample,10);
urban=data(sample,11);
distt=data(sample,12);
ave_waiting=data(sample,13);
hhsize=data(sample,14);
wagerate=data(sample,15);
reg_const=data(sample,16);
reg_logcon=data(sample,17);
FE=data(sample,18);
reg_const2=data(sample,19);
reg_pmt2=data(sample,20);
FE2=data(sample,21);
reg_nofe_const=data(sample,22);
reg_nofe_logcon=data(sample,23);
moneycost=data(sample,24);
moneycost_smth=data(sample,25);
moneycost_3k=data(sample,26);
moneycost_6k=data(sample,27);
pmtscore=data(sample,28);

getbenefit=data(sample,29);

 global mu_con_true mu_beta_true lambda_con_true lambda_beta_true

 mu_con_true = reg_const2(1);
 mu_beta_true = reg_pmt2(1);

 lambda_con_true = reg_nofe_const(1);
 lambda_beta_true = reg_nofe_logcon(1);
 
 global nquant;
 global quant_idx quant_idx_pmt quant_idx_w quant_idx_dist
 global q_pmt_max q_pmt_min q_w_max q_w_min q_dist_max q_dist_min

 % Quantile in terms of consumption
 nquant = 5; 

 % Generate index for what quantile each individual belongs to
 quant_break = zeros(1,nquant); 
 quant_break(:,1:nquant-1) = quantile(consumption,nquant-1);
 quant_break(:,nquant) = max(consumption);
 quant_idx = zeros(size(consumption));
 for i = 1:nquant
     quant_idx(consumption<=quant_break(1,i) & quant_idx==0)=i;
 end

 % Quantile in terms of pmtscore
 nquant_pmt = 3;
 quant_break = zeros(1,nquant_pmt); 
 quant_break(:,1:nquant_pmt-1) = quantile(pmtscore,nquant_pmt-1);
 quant_break(:,nquant_pmt) = max(pmtscore);
 quant_idx_pmt = zeros(size(pmtscore));
 for i = 1:nquant_pmt
     quant_idx_pmt(pmtscore<=quant_break(1,i) & quant_idx_pmt==0)=i;
 end

 % Quantile in terms of w(residual of log(consumption) on pmtscore)
 yy = log(consumption);
 XX = [ones(size(consumption,1),1),pmtscore];
 w = yy-XX/(XX'*XX)*XX'*yy;
 clear yy XX;

 nquant_w = 3;
 quant_break = zeros(1,nquant_w); 
 quant_break(:,1:nquant_w-1) = quantile(w,nquant_w-1);
 quant_break(:,nquant_w) = max(w);
 quant_idx_w = zeros(size(w));
 for i = 1:nquant_w
     quant_idx_w(w<=quant_break(1,i) & quant_idx_w==0)=i;
 end

 % Quantile in terms of distance to registration site 
 nquant_dist = 4;
 quant_break = zeros(1,nquant_dist);
 quant_break(:,1:nquant_dist-1) = quantile(distt,nquant_dist-1);
 quant_break(:,nquant_dist) = max(distt);
 quant_idx_dist = zeros(size(distt));
 for i = 1:nquant_dist
     quant_idx_dist(distt<=quant_break(1,i) & quant_idx_dist==0)=i;
 end

 % Quantile indices
 q_pmt_max = max(quant_idx_pmt);
 q_pmt_min = min(quant_idx_pmt);
 q_w_max = max(quant_idx_w);
 q_w_min = min(quant_idx_w);
 q_dist_max = max(quant_idx_dist);
 q_dist_min = min(quant_idx_dist); 

 
end